<template>
  <q-page class="row justify-center">
    <div class="q-pa-md col-xs-12 col-sm-10 col-md-9 col-lg-7 column">
      <div class="row">
        <p class="q-mt-xl column">
          <span class="text-h4 text-bold"> Hello, this is the hub page </span>
          <span class="text-caption text-grey-8">
            You can upload, view or delete docker images
          </span>
        </p>

        <q-space />

        <div class="self-end q-mb-md">
          <q-btn no-caps rounded color="accent" icon="upload">
            Upload image
          </q-btn>
        </div>
      </div>

      <q-input
        rounded
        outlined
        v-model="search"
        class="q-my-md"
        label="Search for an image"
      >
        <template #prepend>
          <q-icon name="search" />
        </template>

        <template #append>
          <q-icon name="mic" />
        </template>
      </q-input>

      <div class="row full-width">
        <div v-for="i in 6" :key="i" class="col-xs-12 col-sm-6 q-pa-xs">
          <ImageTile />
        </div>
      </div>
    </div>
  </q-page>
</template>

<script setup lang="ts">
import { ref } from 'vue';
import ImageTile from 'src/features/dashboard/ImageTile.vue';

const search = ref<string>('');
</script>
